package org.xesstandard.xml.issues;

import org.xesstandard.model.XesExtension;
import org.xesstandard.xml.XesXmlIssueLevel;

public class XesextXmlIssueOutOfPlace extends XesextAbstractXmlIssue {

	private String precedingElement;
	private String element;
	
	public XesextXmlIssueOutOfPlace(XesExtension extension, String precedingElement, String element) {
		super(extension, XesXmlIssueLevel.CONFORMING);		
	}
	
	public String toString() {
		return super.toString() + precedingElement + " must precede " + element + " (see Figure 3).";
	}
}
