package org.xesstandard.extensions;

public enum XesLifecycleState {

	CLOSED("Closed"),
	CLOSEDCANCELLED("Closed.Cancelled"),
	CLOSEDCANCELLEDABORTED("Closed.Cancelled.Aborted"),
	CLOSEDCANCELLEDERROR("Closed.Cancelled.Error"),
	CLOSEDCANCELLEDEXITED("Closed.Cancelled.Exited"),
	CLOSEDCANCELLEDOBSOLETE("Closed.Cancelled.Obsolete"),
	CLOSEDCANCELLEDTERMINATED("Closed.Cancelled.Terminated"),

	COMPLETED("Completed"),
	COMPLETEDFAILED("Completed.Failed"),
	COMPLETEDSUCCESS("Completed.Success"),

	OPEN("Open"),
	OPENNOTRUNNING("Open.NotRunning"),
	OPENNOTRUNNINGASSIGNED("Open.NotRunning.Assigned"),
	OPENNOTRUNNINGRESERVED("Open.NotRunning.Reserved"),
	OPENNOTRUNNINGSUSPENDEDASSIGNED("Open.NotRunning.Suspended.Assigned"),
	OPENNOTRUNNINGSUSPENDEDRESERVED("Open.NotRunning.Suspended.Reserved"),
	OPENRUNNING("Open.Running"),
	OPENRUNNINGINPROGRESS("Open.Running.InProgress"),
	OPENRUNNINGSUSPENDED("Open.Running.Suspended");
	
	private String state;
	
	private XesLifecycleState(String state) {
		this.state = state;
	}
	
	public String getState() {
		return state;
	}
}
