package org.xesstandard.model.attributes.impl;

import org.xesstandard.model.XesAttributeType;
import org.xesstandard.model.attributes.XesIntegerNumberAttribute;
import org.xesstandard.model.impl.XesAttributeImpl;

public class XesIntegerNumberAttributeImpl extends XesAttributeImpl implements XesIntegerNumberAttribute {

	/*
	 * Integer number value of the attribute. May be <null>.
	 */
	private Long value = null;
	
	/*
	 * Construct an integer number attribute.
	 */
	public XesIntegerNumberAttributeImpl() {
		super(XesAttributeType.INTEGERNUMBER);
	}
	
	/*
	 * (non-Javadoc)
	 * @see org.xesstandard.model.XesAttribute#getStringValue()
	 */
	public String getStringValue() {
		return String.valueOf(value);
	}

	/*
	 * (non-Javadoc)
	 * @see org.xesstandard.model.attributes.XesIntegerNumberAttribute#setValue(java.lang.Long)
	 */
	public void setValue(Long value) {
		this.value = value;
	}

	/*
	 * (non-Javadoc)
	 * @see org.xesstandard.model.attributes.XesIntegerNumberAttribute#getValue()
	 */
	public Long getValue() {
		return value;
	}

}
