package org.xesstandard.xml;

public enum XesXmlIssueLevel {

	/**
	 * Level for strictly conforming XES.
	 */
	STRICTLYCONFORMING(0),
	/**
	 * Level for conforming XES.
	 */
	CONFORMING(1),
	/**
	 * Level for lenient XES. 
	 */
	LENIENT(2);
	
	private int level;
	
	private XesXmlIssueLevel(int level) {
		this.level = level;
	}
	
	public int getValue() {
		return level;
	}
}
