package org.xesstandard.xml.issues;

import org.xesstandard.model.XesLog;
import org.xesstandard.xml.XesXmlIssueLevel;

public class XesXmlIssueLogRoot extends XesAbstractXmlIssue {

	/**
	 * Issue raised if log is not the root element.
	 */
	private XesLog log;
	
	public XesXmlIssueLogRoot(XesLog log) {
		super(XesXmlIssueLevel.CONFORMING);
		this.log = log;
	}
	
	public String toString() {
		return super.toString() + "Log \"" + log + "\" is not root element (see Figure 2).";
	}
}
